Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.uddi.client.structures.datatypes
Class ServiceInfo

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.datatypes.ServiceInfo

public class ServiceInfo
extends java.lang.Object

ServiceInfo structure is used to represent a service in the service list response from a find_service call.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`ServiceInfo()` Class constructor.

Method Summary
`java.lang.String` | `getBusinessKey()` Gets the value of the business key.
`Name` | `getName()` Gets the name.
`java.lang.String` | `getServiceKey()` Gets the value of the service key.
`void` | `setBusinessKey(java.lang.String value)` Sets the value of the business key.
`void` | `setName(Name value)` Sets the name.
`void` | `setName(java.lang.String value)` Sets the name string.
`void` | `setServiceKey(java.lang.String value)` Sets the value of the service key.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ServiceInfo

    public ServiceInfo()

  Class constructor.

Method Detail

### getName

    public Name getName()

  Gets the name.

  Returns:
    the current name.

### setName

    public void setName(java.lang.String value)

  Sets the name string.

  Parameters:
    `value` - the new name string.

### setName

    public void setName(Name value)

  Sets the name.

  Parameters:
    `value` - the new name.

### getServiceKey

    public java.lang.String getServiceKey()

  Gets the value of the service key.

  Returns:
    the current value of the service key.

### setServiceKey

    public void setServiceKey(java.lang.String value)

  Sets the value of the service key.

  Parameters:
    `value` - the new value of the service key.

### getBusinessKey

    public java.lang.String getBusinessKey()

  Gets the value of the business key.

  Returns:
    the current value of the business key.

### setBusinessKey

    public void setBusinessKey(java.lang.String value)

  Sets the value of the business key.

  Parameters:
    `value` - the new value of the business key.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD